let eventDispatcher = new EventDispatcher();
let playerProxy = new FacadeBase();
let globalAdConfig = smartclientcore.SCHEMA.create(smartclientcore.SCHEMA.GLOBAL_CONFIG);
globalAdConfig.debug = true;
globalAdConfig.urlhandler = UrlHandler;
globalAdConfig.adVerification.OMID.playerHandles = true;

function getPlayerProxy() {
    return playerProxy;
}

function getEventDispatcher() {
    return eventDispatcher;
}

function dispatchEventForType(type) {
    let dispatcher = getEventDispatcher();
    dispatcher.dispatchEvent(type);
}